Package: java.io

## Interface Closeable

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `Object` | `withCloseable(Closure action)` Allows this closeable to be used within the closure, ensuring that it is closed once the closure has been executed and before this method returns.

- - ### Methods Detail

    - #### public Object withCloseable(Closure action)

      Allows this closeable to be used within the closure, ensuring that it is closed once the closure has been executed and before this method returns.

      Parameters:
        `action` - the closure taking the Closeable as parameter
      Returns:
        the value returned by the closure
      Since:
        2.3.0